For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update store product

Update the details of an existing product in your marketplace store.

PATCH /v1/external/marketplace/{store_id}/products/{product_id}

Note: This is a partial update — only the fields provided in the request body will be modified. Fields not included will remain unchanged.

Path Parameters

Parameter
Type
Required
Description

store_id

string

Yes

Your unique marketplace store ID

product_id

string

Yes

The ID of the product to update

Request Body

Parameter
Type
Required
Description

name

string

No

Updated product name

image_1

string

No

Updated URL of the primary product image

price

number

No

Updated product price in the store's configured currency

in_stock

boolean

No

Set to false or true

Variation Object (if you also want to update variants of the product)

Name
Type
Required
Description

variation_id

string

Yes

Varaition id of the varaint

price

number

No

Price of the varaint

is_active

boolean

No

If varaint is currently active for sale

image

string

No

Image of the varaint

Response

Last updated

Was this helpful?